Bug 1662985 - dtkwidget-2.0.14 is available
Summary: dtkwidget-2.0.14 is available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dtkwidget
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: sensor.wen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-02 16:13 UTC by Rex Dieter
Modified: 2019-11-27 22:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:35:27 UTC


Attachments (Terms of Use)

Description Rex Dieter 2019-01-02 16:13:34 UTC
(A copy of a private mail sent to dtkwidget-owner this weekend, adding here to document formally)

I'm currently working on bringing a Qt-5.11.3 update to f28, and there are some deepin-related build failures.  

Examples include:
f28 dtkwidget
https://koji.fedoraproject.org/koji/buildinfo?buildID=1164173

It appears this newer version has never successfully built in f28.  The simplest fix would probably be to revert back to the last version that built ok (dtkwidget-2.0.6.1-1.fc28.2).  Unless you have a better idea?


p.s.  f29 has similar issues, but those broken deps are in released repos so the Qt update is not a regression in that regard.

Comment 1 Zamir SUN 2019-01-28 08:39:52 UTC
Hi Rex,

Thanks for the report.
It doesn't matter for Fedora 28 right now. The dtkwidget is only used by Deepin desktop. And the whole stack is usable since Fedora 30 (Rawhide). So in theory failing to build in Fedora 28 don't bring much harm.

I know failure in Fedora 29 is irrelevant to Qt update. But Fedora 28 is really not in our priority list, I am changing this to Fedora 29.

Comment 2 Upstream Release Monitoring 2019-05-23 07:03:06 UTC
Latest upstream release: 2.0.14 Current version/release in rawhide: 2.0.9.17-2.fc31 URL: https://github.com/linuxdeepin/dtkwidget Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoringPlease keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.Based on the information from anitya: https://release-monitoring.org/project/18890/

Comment 3 Upstream Release Monitoring 2019-05-23 07:03:07 UTC
Skipping the scratch build because an SRPM could not be built: ['git', 'clone', 'https://src.fedoraproject.org/cgit/rpms/dtkwidget.git', '/var/tmp/thn-_j3mcc17'] returned 128: b"Cloning into '/var/tmp/thn-_j3mcc17'...\nfatal: repository 'https://src.fedoraproject.org/cgit/rpms/dtkwidget.git/' not found\n"

Comment 4 Ben Cotton 2019-10-31 19:17:38 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 22:35:27 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.